package io.hmit.modules.serviceOrder.service;

import io.hmit.common.service.CrudService;
import io.hmit.modules.serviceOrder.dto.PensionConsigneeAddDTO;
import io.hmit.modules.serviceOrder.dto.PensionConsigneeDTO;
import io.hmit.modules.serviceOrder.entity.PensionConsigneeEntity;

import java.util.List;
import java.util.Map;

/**
 * 
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0 2021-05-06
 */
public interface PensionConsigneeService extends CrudService<PensionConsigneeEntity, PensionConsigneeDTO> {

    List<PensionConsigneeDTO> findByUserId(Long userId);

    List<PensionConsigneeDTO> findMyFamilyAddress(Long userId);

    void addUserAddress(Map<String, Object> params);

    void addUserAddress(PensionConsigneeAddDTO dto);

}